package com.bonus.core.common.sysfile.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel("文件")
public class SysFile extends Model<SysFile> {
   private static final long serialVersionUID = 1L;
   @TableId(
      type = IdType.AUTO
   )
   @ApiModelProperty("文件编号")
   private Long id;
   @ApiModelProperty("文件名")
   private String fileName;
   @ApiModelProperty("原始文件名")
   private String original;
   @ApiModelProperty("存储桶名称")
   private String bucketName;
   @ApiModelProperty("文件类型")
   private String type;
   @ApiModelProperty("文件大小")
   private Long fileSize;
   @ApiModelProperty("创建者")
   private String createUser;
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @ApiModelProperty("更新者")
   private String updateUser;
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;
   @TableLogic
   @ApiModelProperty("删除标记,1:已删除,0:正常")
   private Integer delFlag;

   public Long getId() {
      return this.id;
   }

   public String getFileName() {
      return this.fileName;
   }

   public String getOriginal() {
      return this.original;
   }

   public String getBucketName() {
      return this.bucketName;
   }

   public String getType() {
      return this.type;
   }

   public Long getFileSize() {
      return this.fileSize;
   }

   public String getCreateUser() {
      return this.createUser;
   }

   public LocalDateTime getCreateTime() {
      return this.createTime;
   }

   public String getUpdateUser() {
      return this.updateUser;
   }

   public LocalDateTime getUpdateTime() {
      return this.updateTime;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setFileName(final String fileName) {
      this.fileName = fileName;
   }

   public void setOriginal(final String original) {
      this.original = original;
   }

   public void setBucketName(final String bucketName) {
      this.bucketName = bucketName;
   }

   public void setType(final String type) {
      this.type = type;
   }

   public void setFileSize(final Long fileSize) {
      this.fileSize = fileSize;
   }

   public void setCreateUser(final String createUser) {
      this.createUser = createUser;
   }

   public void setCreateTime(final LocalDateTime createTime) {
      this.createTime = createTime;
   }

   public void setUpdateUser(final String updateUser) {
      this.updateUser = updateUser;
   }

   public void setUpdateTime(final LocalDateTime updateTime) {
      this.updateTime = updateTime;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

}
